POST
Settlements/wallet-settlements/{settlementId}/rejectرفض التسوية
يرفض التسوية مع سبب.
مستوى الوصولrestricted_approverالحد20/minمنع التكرارnoneالمصادقةBearerAuth
المصدر
LuxApi/app/Http/Controllers/Api/SettlementApiController.php::rejectLuxPayProjects @ 146e98baa44eالمعاملات
X-Request-IDheaderClient correlation identifier. LuxPay may generate one when omitted.
Example:req_01J...settlementIdpathSettlement identifier.
Example:7001جسم الطلب
RequiredReasonRequestإلزامي
reasonstring
JSON example
{
"reason": "string"
}أمثلة الكود
العنوان المعروض Sandbox Placeholder حتى يتم تزويد النطاق الرسمي. لا تلصق رمز Production في متصفح عام.
curl --request POST \
--url 'https://sandbox-api.luxpay.example/v1/wallet-settlements/7001/reject' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"reason": "string"
}'الاستجابات
200Successful response.
statusboolean
Example:
truemessagestring | null
dataSettlement
{
"status": true,
"message": "string",
"data": {
"id": 1,
"uuid": "00000000-0000-4000-8000-000000000001",
"wallet_id": 1,
"period_type": "daily",
"period_start": "2026-07-16",
"period_end": "2026-07-16",
"status": "pending",
"idempotency_key": "string",
"notes": "string",
"items": [
{}
],
"created_at": "2026-07-16T12:00:00Z"
}
}